# FdoPropertyValueConstraintRange Class Reference

`#include <PropertyValueConstraintRange.h>`

Inheritance diagram for FdoPropertyValueConstraintRange:

[legend]

List of all members.

## Detailed Description

FdoPropertyValueConstraintRange is used to specify minimum and / or maximum allowed values for a particular property. It can be used for all data property types except for Boolean, BLOB, or CLOB. One or the other or both of MinValue and MaxValue must be specified. If both are specified, then MaxValue must be greater than or equal to MinValue and if either MinInclusive or MaxInclusive are false, then MaxValue must be greater than MinValue. MinValue and MaxValue if specified must be valid values for the property type. E.g. if the property is decimal(4,0), then the maximum possible MaxValue is 9999. If the data property definition includes a non-null default value, then this constraint is applied to that value as well. If the data property definition allows nulls, a null value is considered as being valid regardless of the range constraint.

Definition at line 38 of file PropertyValueConstraintRange.h.

## Public Member Functions
virtual FDO_API FdoPropertyValueConstraintType | GetConstraintType ()
| Returns FdoPropertyValueConstraintType_Range type.
FDO_API bool | GetMaxInclusive ()
| Returns a bool to indicate if the maximum value is inclusive or exclusive. This is the difference between <= and <. This is a boolean type where true means inclusive.
FDO_API FdoDataValue * | GetMaxValue ()
| Get the maximum allowed value. The type of this is the same as the type of the property. E.g. if the property is int32, then this value is int32.
FDO_API bool | GetMinInclusive ()
| Returns a bool to indicate if the minimum value is inclusive or exclusive. This is the difference between >= and >. This is a boolean type where true means inclusive.
FDO_API FdoDataValue * | GetMinValue ()
| Get the minimum allowed value. The type of this is the same as the type of the property. E.g. if the property is int32, then this value is int32.
FDO_API void | SetMaxInclusive (bool value)
| Returns a bool to indicate if the maximum value is inclusive or exclusive. This is the difference between <= and <. This is a boolean type where true means inclusive.
FDO_API void | SetMaxValue (FdoDataValue *value)
| Set the maximum allowed value.
FDO_API void | SetMinInclusive (bool value)
| Set the minimum value to inclusive or exclusive. This is the difference between >= and >.
FDO_API void | SetMinValue (FdoDataValue *value)
| Set the minimum allowed value.
## Static Public Member Functions
static FDO_API FdoPropertyValueConstraintRange * | Create (FdoDataValue *minValue, FdoDataValue *maxValue)
| Constructs and populates an instance of an FdoPropertyValueConstraintRange.
static FDO_API FdoPropertyValueConstraintRange * | Create ()
| Constructs an empty instance of an FdoPropertyValueConstraintRange.
## Protected Member Functions
virtual void | Dispose ()
| Dispose this object.
| FdoPropertyValueConstraintRange (FdoDataValue *minValue, FdoDataValue *maxValue)
| FdoPropertyValueConstraintRange ()
| Constructs a default instance of a FdoPropertyValueConstraintRange.
virtual | ~FdoPropertyValueConstraintRange ()

The documentation for this class was generated from the following file:

- PropertyValueConstraintRange.h